<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.artfess.report.bigScreen.dao.BladeVisualCategoryDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.artfess.report.bigScreen.model.BladeVisualCategory">
        <id column="id_" property="id"/>
        <result column="category_key_" property="categoryKey"/>
        <result column="category_value_" property="categoryValue"/>
        <result column="is_dele_" property="isDele"/>
        <result column="tenant_id_" property="tenantId"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, category_key_, category_value_, is_dele_, tenant_id_
    </sql>
    <select id="queryPage" resultType="com.artfess.report.bigScreen.model.BladeVisualCategory">
        SELECT
        *
        FROM
        blade_visual_category
        <if test="ew.customSqlSegment!=null">
            ${ew.customSqlSegment}
        </if>
    </select>

</mapper>
